
CoCoALib - Feature #759

Configuration: where to keep source for test compilations?

02 Aug 2015 18:35 - John Abbott

Status: Closed Start date: 02 Aug 2015

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Tidying Estimated time: 1.11 hour

Target version: CoCoALib-0.99560 Spent time: 1.20 hour

Description

I have noticed that sometimes more than 1 script needs to perform a test compilation (using essentially the same source code). 

Devise a way to avoid duplicating the source of these test programs.

Related issues:

Related to CoCoALib - Bug #593: Temporary directories used during configuration Closed 20 Jul 2014

History

#1 - 13 Jun 2016 20:35 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

Some scripts contain the source code inside themselves (as here-documents), others rely on an external existing (in an expected place).

The advantage of here-documents is that moving the script around should not break it.  Those scripts which use an external in a "known place" need

somehow to know where that place is (via an arg?) -- remember that during execution of a script the working directory is that of the caller!

Currently here-documents seem to be preferable, even though they may result in duplication of test source code.

#2 - 08 Nov 2017 18:13 - John Abbott

- Status changed from In Progress to Closed

- Assignee set to John Abbott

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99560

- % Done changed from 10 to 100

- Estimated time set to 1.11 h

I think all scripts use here documents now.

Anyway, this issue can be closed.
